<?php   namespace Concrete\Package\EzProduct\Block\EzCards;
use Concrete\Core\Block\BlockController;
use Concrete\Core\Support\Facade\Application;
class Controller extends BlockController
{
    protected $btTable = 'btEzcards';
    protected $btInterfaceWidth = "450";
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceHeight = "400";
	protected $btDefaultSet = 'ezproduct';
    public function getBlockTypeDescription() {
        return t("Display credit card icons and a PayPal badge.");
    }
    public function getBlockTypeName(){
        return t("EZ Cards");
    }
	public function on_start() {
		if(!is_object($this->app)){
			$this->app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
			$this->set('app', $this->app);
		}
	}
	public function add() {
        $this->edit();
    }
	public function edit() {
		$this->set('app', Application::getFacadeApplication());
	}
}