<?php  defined('C5_EXECUTE') or die("Access Denied.");
$pkg = Package::getByHandle('ez_product');
$ezprod_business = $pkg->getConfig()->get('ez_product.ezprod_business');
$formPageSelector = $app->make('helper/form/page_selector');
$al = $app->make('helper/concrete/asset_library');
?>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('business', t('Paypal Email'));?>
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-envelope"></i></div>
					<?php if(empty($ezprod_business)){ echo $form->email('business', $business); } else {  echo $form->email('business', $business?$business:$ezprod_business);}?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-7">
			<div class="form-group">
				<?php   echo $form->label('btnStyle', t('Button Style'))?>
				<?php   echo $form->select('btnStyle', array('ccheckout'=>t('Checkout'), 'cppc'=>t('Checkout with Paypal (classic)'), 'cppl'=>t('Checkout with Paypal (light)'), 'viewcart'=>t('View Cart'), 'custimg'=>t('Custom Image')), $btnStyle,array("onChange" => "updateCustimg();"));?>
			</div>
		</div>
		<div class="col-xs-5">
			<div class="form-group">
				<?php   echo $form->label('cTarg', t('Checkout Target'))?>
				<?php   echo $form->select('cTarg', array('_self'=>t('Same Window'), 'paypal'=>t('New Window')), $cTarg);?>
			</div>
		</div>
	</div>
	<div class="row" id="custimg">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label("prod-image",t("Custom Button Image")); ?>
				<div class="input">
				<?php if($fID){ echo $al->image('prod-image', 'fID', t('Choose Image'), ($fID)?File::getByID($fID):""); }
				else { echo $al->image('prod-image', 'fID', t('Choose Image')); } ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label('linkType', t('Continue Shopping URL'))?>
				<p><?php echo t('Optional. If left blank, the current page URL will be used.')?></p>
				<select name="linkType" data-select="feature-link-type" class="form-control">
					<option value="1" <?php echo (empty($externalLink) && !empty($internalLinkCID) ? 'selected="selected"' : '')?>><?php   echo t('Internal Page')?></option>
					<option value="2" <?php echo (!empty($externalLink) ? 'selected="selected"' : '')?>><?php   echo t('External URL')?></option>
				</select>
			</div>
			<div data-select-contents="feature-link-type-internal" style="display: none;" class="form-group">
				<?php  echo $formPageSelector->selectPage('internalLinkCID',$internalLinkCID); ?>
			</div>
			<div data-select-contents="feature-link-type-external" style="display: none;" class="form-group">
				<?php echo $form->text('externalLink', $externalLink?$externalLink:"http://"); ?>
			</div>
		</div>
	</div>
<script type="text/javascript">
$(function() {   
	$('select[data-select=feature-link-type]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal]').show();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').show();
	   }
	}).trigger('change');
});
function updateCustimg(){
$("#btnStyle").each(function(){
    if ($(this).find("option:selected").val() == "custimg" ) {
        $("#custimg").show();
    }
	if ($(this).find("option:selected").val() != "custimg" ) {
        $("#custimg").hide();
    }
});
};
updateCustimg();
</script>