<?php defined('C5_EXECUTE') or die("Access Denied.");
use \Concrete\Core\File\File;
use \Concrete\Core\Page\Page;
$c = Page::getCurrentPage(); 
$img = File::getByID($fID);
$pkg = Package::getByHandle('ez_product');
$ezprodlogo = $pkg->getConfig()->get('ez_product.ezprod_logo');
$ezp_curs = $pkg->getConfig()->get('ez_product.ezp_curs');
$ezp_cCode = $pkg->getConfig()->get('ez_product.ezp_cCode');?>
<style>
.ezsubscribe-<?php echo $bID?> .ezsubscribe-body-head { background: <?php echo $primeColor ?>; }
.ezsubscribe-<?php echo $bID?> .ezsubscribe-body { background: <?php echo $secondaryColor ?>; border-top: 3px solid <?php echo $accentColor ?>; border-bottom: 3px solid <?php echo $accentColor ?>; }
.ezsubscribe-<?php echo $bID?> .ezsubscribe-body p { color: <?php echo $textColor ?> !important; }
.ezsubscribe-<?php echo $bID?> .ezsubscribe-body-head p.pricetag span.curs { background: <?php echo $secondaryColor ?>; color: <?php echo $accentColor ?>; }
.ezsubscribe-<?php echo $bID?> form input[type="submit"] { color: <?php echo $textColor ?>; background-color: <?php echo $primeColor ?>; border-color: <?php echo $accentColor ?>; }
</style>
<div class="ezsubscribe-wrap ezsubscribe-<?php echo $bID?>">
	<div class="ezsubscribe-body-head">
		<h4 style="color: <?php echo $textColor ?>;"><?php echo $productName ?></h4>
		<p class="pricetag" style="color: <?php echo $textColor ?>;"><span class="curs"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } ?></span><span class="pricetag"><?php echo $productPrice ?></span><small><?php if((!empty($ezp_cCode))&&($ezp_cCode!="0")){ echo $ezp_cCode; } else { echo $cCode; } ?></small></p>
		<p class="prodnum" style="color: <?php echo $textColor ?>;"><strong><?php echo t('Product No.')?></strong> <?php echo $productNum ?></p>
	</div>
	<div class="ezsubscribe-body">
		<p class="terms">
		<?php if($mode=="subscribeD") { echo $subsDurD.t(" Day "); } elseif ($mode=="subscribeW"){ echo $subsDurW.t(" Week ");} elseif($mode=="subscribeM"){echo $subsDurM.t(" Month ");}elseif($mode=="subscribeY"){echo $subsDurY.t(" Year ");} echo t("Subscription");?>
		</p>
		<?php if($srcpay==1){?><p class="recur"><?php echo $srtpay.' '.t("installments")?></p><?php } ?>
	
		<?php if($trialPeriod1!="0"){ ?>
		<div class="ezsubscribe-trials">
			<p><?php if($trialPrice1=="0"){ echo t('FREE Trial for ').$trialDur1.' ';
					if($trialDur1>1){ if($trialPeriod1=="D"){ echo t('Days'); } elseif($trialPeriod1=="W"){echo t('Weeks'); } elseif($trialPeriod1=="M"){ echo t('Months'); }
					} else { if($trialPeriod1=="D"){ echo t('Day'); } elseif($trialPeriod1=="W"){echo t('Week'); } elseif($trialPeriod1=="M"){ echo t('Month'); } }
				} else { 
					echo $trialDur1;
					if($trialPeriod1=="D"){ echo t("Day"); 
					} elseif($trialPeriod1=="W"){echo t("Week"); 
					} elseif($trialPeriod1=="M"){ echo t("Month"); } 
					echo t(" trial at $").$trialPrice1; 
				}?>
			</p>
			<?php if($trialPeriod2!="0") { ?><p>- <?php echo t("then") ?> -</p>
		 
			<p><?php if($trialPrice2=="0"){ echo t('FREE Trial for ').$trialDur2.' ';
					if($trialPeriod2=="D"){ echo t("Days"); } elseif($trialPeriod2=="W"){echo t("Weeks"); } elseif($trialPeriod2=="M"){ echo t("Months"); }
				} else { ?>
				
				<?php echo $trialDur2 ?> <?php if($trialPeriod2=="D"){ echo t("Day"); } elseif($trialPeriod2=="W"){echo t("Week"); } elseif($trialPeriod2=="M"){ echo t("Month"); } echo t(" trial at ").$curs.$trialPrice2; }?>
			</p><?php } ?>
		</div>
		<?php } ?>
	</div>
	<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
		<input type="hidden" name="business" value="<?php echo $business ?>">
		<?php if(!empty($ezprodlogo)) {?><input type="hidden" name="image_url" value="<?php echo $ezprodlogo ?>"><?php } ?>
		<input type="hidden" name="cmd" value="_xclick-subscriptions">
		<input type="hidden" name="item_name" value="<?php echo $productName;?>">
		<input type="hidden" name="item_number" value="<?php echo $productNum;?>">
		<input type="hidden" name="currency_code" value="<?php if((!empty($ezp_cCode))&&($ezp_cCode!="0")){ echo $ezp_cCode; } else { echo $cCode; } ?>">
		
		<input type="hidden" name="return" value="<?php $c = Page::getCurrentPage(); echo $c->getCollectionLink(); ?>">
		<input type="hidden" name="cancel_return" value="<?php $c = Page::getCurrentPage(); echo $c->getCollectionLink(); ?>">
		<?php if($trialPeriod1!="0") {?>
		<input type="hidden" name="a1" value="<?php echo $trialPrice1 ?>">
		<input type="hidden" name="p1" value="<?php echo $trialDur1 ?>">
		<input type="hidden" name="t1" value="<?php echo $trialPeriod1 ?>"><?php } ?>
		<?php if($trialPeriod2!="0") {?>
		<input type="hidden" name="a2" value="<?php echo $trialPrice2 ?>">
		<input type="hidden" name="p2" value="<?php echo $trialDur2 ?>">
		<input type="hidden" name="t2" value="<?php echo $trialPeriod2 ?>"><?php } ?>
		
		<?php if($mode=="subscribeD") {?>
		<input type="hidden" name="a3" value="<?php echo $productPrice ?>">
		<input type="hidden" name="p3" value="<?php echo $subsDurD ?>">
		<input type="hidden" name="t3" value="D">
		<?php } elseif($mode=="subscribeW"){ ?>
		<input type="hidden" name="a3" value="<?php echo $productPrice ?>">
		<input type="hidden" name="p3" value="<?php echo $subsDurW ?>">
		<input type="hidden" name="t3" value="W">
		<?php } elseif($mode=="subscribeM"){ ?>
		<input type="hidden" name="a3" value="<?php echo $productPrice ?>">
		<input type="hidden" name="p3" value="<?php echo $subsDurM ?>">
		<input type="hidden" name="t3" value="M">
		<?php } elseif($mode="subscribeY"){ ?>
		<input type="hidden" name="a3" value="<?php echo $productPrice ?>">
		<input type="hidden" name="p3" value="<?php echo $subsDurY ?>">
		<input type="hidden" name="t3" value="Y">
		<?php } ?>
		<?php if($srcpay==1) {?>
		<input type="hidden" name="src" value="<?php echo $srcpay ?>">
		<input type="hidden" name="srt" value="<?php echo $srtpay ?>">
		<input type="hidden" name="sra" value="<?php echo $srapay ?>"><?php } ?>
		<?php if($btnStyle!="custimg"){ ?>
		<input type="submit" name="submit" value="<?php echo $buttonLabel ?>" class="<?php echo $btnStyle ?>">
		<?php } else { ?>
		<input type="image" name="submit" src="<?php if(isset($img) && is_object($img)){ echo $img->getURL();} else { ?>https://www.paypalobjects.com/en_US/i/btn/btn_subscribe_LG.gif<?php }?>" alt="<?php echo $buttonLabel ?>">
		<?php } ?>
		<img alt="" width="1" height="1" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" >
	</form>
</div>