<?php  defined('C5_EXECUTE') or die("Access Denied.");
$pkg = Package::getByHandle('ez_product');
$ezprod_business = $pkg->getConfig()->get('ez_product.ezprod_business');
$ezp_curs = $pkg->getConfig()->get('ez_product.ezp_curs');
$ezp_cCode = $pkg->getConfig()->get('ez_product.ezp_cCode');
$ezp_wu = $pkg->getConfig()->get('ez_product.ezp_wu');
$al = $app->make('helper/concrete/asset_library');
$fh = $app->make('helper/form/color');
$formPageSelector = $app->make('helper/form/page_selector');
$addSelected = true;?>
<p>
<?php print $app->make('helper/concrete/ui')->tabs(array(
	array('form-basics', t('Basic'), $addSelected), array('form-setup', t('Setup')), array('form-options', t('Options')), array('form-contents', t('Content')), array('form-settings', t('Settings')), array('form-design', t('Design')), array('form-help', '<i class="fa fa-question-circle"></i>')
));?>
</p>
<!-- Basic Info Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-basics">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('productName', t('Item Name'));?>
				<?php   echo $form->text('productName', $productName);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<?php  echo $form->label("prod-image",t("Product Image")); ?>
				<div class="input">
				<?php if($fID){ echo $al->image('prod-image', 'fID', t('Choose Image'), ($fID)?File::getByID($fID):""); }
				else { echo $al->image('prod-image', 'fID', t('Choose Image')); } ?>
				</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<?php   echo $form->label('cmdType', t('Product Type'));?>
				<?php   echo $form->select('cmdType', array("xclick"=>t("Buy Now"),"cart"=>t("Add to Cart"),"catalog"=>t("Catalog")),$cmdType);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('productPrice', t('Base Price'));?>
				<div class="input-group">        
					<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } elseif(empty($curs)){?>$<?php } else { echo $curs; } ?></div>
					<?php   echo $form->text('productPrice', $productPrice?$productPrice:"10.00");?>
				</div>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><?php   echo $form->label('itemQty', t('Quantity'));?></div>
					<?php echo $form->number('itemQty', $itemQty?$itemQty:"1", array('min'=>1));?>
				</div>
				<div class="form-group">     
					<p><input type="checkbox" name="unqty" value="1" <?php  if ($unqty == 1) { ?> checked <?php  } ?>  /> <?php  echo t('Allow buyers to specify quantity.');?></p>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php echo $form->label('productNum', t('Product Number'));?>
				<?php echo $form->text('productNum', $productNum?$productNum:"000-".rand(0,10000));?>
			</div>
		</div>
		<div class="col-xs-6">
			
		</div>
	</div>
	
</div>

<!-- Begin Button Setup Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-setup">
	
	<!-- Product Setup -->
	<div id="form-buynow">
		<p><?php print $app->make('helper/concrete/ui')->tabs(array(array('sub-form-discount', t('Discount'), $addSelected), array('sub-form-taxes', t('Taxes')), array('sub-form-ship', t('Shipping'))));?></p>
		<!-- Discount Options -->
		<div class="ccm-tab-content" id="ccm-tab-content-sub-form-discount">
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php echo $form->label('discountType', t('Discount Type'));?>
						<?php echo $form->select('discountType', array("none"=>t("None"),"flat"=>t("Flat Amount"),"percent"=>t("Rate")),$discountType,array("onChange" => "updateDiscType();"));?>
					</div>
				</div>
				<div class="col-xs-6">
					<div id="form-flat">
						<div class="form-group">
							<?php echo $form->label('discountAmt', t('Discount Amount'));?>
							<div class="input-group">        
								<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } elseif(empty($curs)){?>$<?php } else { echo $curs; } ?></div>
								<?php   echo $form->text('discountAmt', $discountAmt?$discountAmt:"");?>
							</div>
						</div>
						<div class="form-group">
							<?php echo $form->label('discountAmt2', t('Discount Amount per additional item'));?>
							<div class="input-group">
								<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } elseif(empty($curs)){?>$<?php } else { echo $curs; } ?></div>
								<?php echo $form->text('discountAmt2', $discountAmt2?$discountAmt2:"");?>
							</div>
						</div>
					</div>
					<div id="form-rate">
						<div class="form-group">
							<?php echo $form->label('discountRate', t('Discount Rate'));?>
							<div class="input-group">        
								<?php echo $form->number('discountRate', $discountRate?$discountRate:"1", array('min'=>1,'max'=>100)); ?>
								<div class="input-group-addon">%</div>
							</div>
						</div>
						<div class="form-group">
							<?php echo $form->label('discountRate2', t('Discount Rate per additional item'));?>
							<div class="input-group">
								<?php echo $form->number('discountRate2', $discountRate2?$discountRate2:"", array('min'=>0,'max'=>100));?>
								<div class="input-group-addon">%</div>
							</div>
						</div>
					</div>
					<div class="form-group" id="form-nodisc">
						<p><?php echo t('No discounts.')?></p>
					</div>
				</div>
			</div>
			<div class="row" id="form-discnum">
				<div class="col-xs-6"></div>
				<div class="col-xs-6">
					<div class="form-group">
						<?php echo $form->label('discountNum', t('Discount limited to additional'));?>
						<div class="input-group">
							<?php echo $form->number('discountNum', $discountNum?$discountNum:"0", array('min'=>0));?>
							<div class="input-group-addon"><?php echo t('items')?></div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- Tax Options -->
		<div class="ccm-tab-content" id="ccm-tab-content-sub-form-taxes">
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php echo $form->label('taxType', t('Tax Type'));?>
						<?php echo $form->select('taxType', array("none"=>t("None"),"flat"=>t("Flat Amount"),"percent"=>t("Rate")),$taxType,array("onChange" => "updateTaxType();"));?>
					</div>
				</div>
				<div class="col-xs-6">
					<div class="form-group" id="form-flattax">
						<?php   echo $form->label('taxAmt', t('Tax'));?>
						<div class="input-group">        
							<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } elseif(empty($curs)){?>$<?php } else { echo $curs; } ?></div>
							<?php echo $form->text('taxAmt', $taxAmt?$taxAmt:"0.00");?>
						</div>
					</div>
					<div class="form-group" id="form-taxrate">
						<?php   echo $form->label('taxRate', t('Tax Rate'));?>
						<div class="input-group">
							<?php echo $form->number('taxRate', $taxRate?$taxRate:"0", array('min'=>0,'max'=>100));?>
							<div class="input-group-addon">%</div>
						</div>
					</div>
					<div class="form-group" id="form-notax"><p><?php echo t('No taxes.')?></p></div>
				</div>
			</div>
		</div>
		<!-- Shipping Options -->
		<div class="ccm-tab-content" id="ccm-tab-content-sub-form-ship">
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php  echo $form->label('shipCost', t('Shipping Cost'));?>
						<div class="input-group">        
							<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } elseif(empty($curs)){?>$<?php } else { echo $curs; } ?></div>
							<?php   echo $form->text('shipCost', $shipCost?$shipCost:"0.00");?>
						</div>
					</div>
				</div>
				<div class="col-xs-6">
					<div class="form-group">
						<?php echo $form->label('addShip', t('Additional shipping cost per item'));?>
						<div class="input-group">        
							<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } elseif(empty($curs)){?>$<?php } else { echo $curs; } ?></div>
							<?php echo $form->text('addShip', $addShip?$addShip:"0.00");?>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php  echo $form->label('weight', t('Weight'));?>
						<?php  echo $form->text('weight', $weight?$weight:"0.00");?>
					</div>
				</div>
				<div class="col-xs-6">
					<?php if((!empty($ezp_wu))&&($ezp_wu!="0")){ echo '<p>'.t('Weight Unit: ').$ezp_wu.'</p>'; } else { ?>
					<div class="form-group">
						<?php   echo $form->label('weightUnit', t('Weight Unit'));?>
						<?php   echo $form->select('weightUnit', array("lbs"=>t("lbs"),"kgs"=>t("kgs")),$weightUnit);?>
					</div><?php } ?>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12">
					<div class="form-group">
						<?php echo $form->label('noShipping', t('Shipping Address'));?>
						<?php echo $form->select('noShipping', array("0"=>t("Prompt for address but do not require"),"1"=>t("Do not prompt for an address"),"2"=>t("Prompt and require address")),$noShipping);?>
					</div>
				</div>
			</div>
		</div>
	</div>
	
</div>

<!-- Option Sets Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-options">
	
	<div class="form-group">
		<?php echo $form->label('enableOptsets', t('Enable option sets?'));?>
		<?php echo $form->select('enableOptsets', array("no"=>t("No"),"yes"=>t("Yes")),$enableOptsets,array("onChange" => "updateOptsets();"));?>
	</div>
	<div class="optsets">
		<h4><?php echo t('Option Field Sets')?></h4>
		<?php $this->inc("forms/product_options.php"); ?>
	</div>
	<div class="noptsets">
		<p><?php echo t('Option Sets are not enabled')?>.</p>
	</div>
</div>

<!-- Begin Content Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-contents">
	<p><?php print $app->make('helper/concrete/ui')->tabs(array(array('sub-form-proddesc', t('Description'), $addSelected), array('sub-form-prodgallery', t('Gallery'))));?></p>
	<!-- Product Description -->
	<div class="ccm-tab-content" id="ccm-tab-content-sub-form-proddesc">
		<div class="row">
			<div class="col-xs-6">
				<div class="form-group">
					<?php   echo $form->label('hasDesc', t('Show product description?'));?>
					<?php   echo $form->select('hasDesc', array("no"=>t("No"),"yes"=>t("Yes")),$hasDesc,array("onChange" => "updatePdesc();"));?>
				</div>
			</div>
			<div class="col-xs-6"></div>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div class="form-group pdesc">
					<?php  echo $form->label("prodDesc",t("Product Description"));?>
					<?php echo $app->make('editor')->outputBlockEditModeEditor($view->field('prodDesc'), $prodDesc); ?>
				</div>
				<div class="pdesc-no"></div>
			</div>
		</div>
	</div>
	<!-- Product Gallery -->
	<div class="ccm-tab-content" id="ccm-tab-content-sub-form-prodgallery">
		<div class="row">
			<div class="col-xs-6">
				<div class="form-group">
					<?php   echo $form->label('hasGallery', t('Enable Product Gallery?'));?>
					<?php   echo $form->select('hasGallery', array("no"=>t("No"),"yes"=>t("Yes")),$hasGallery,array("onChange" => "updatePgallery();"));?>
				</div>
			</div>
			<div class="col-xs-6">
				<div class="form-group pgallery">
					<?php echo $form->label('galMode', t('Transition Style'));?>
					<?php echo $form->select('galMode', array("slide"=>t("Slide"),"fade"=>t("Fade")),$galMode);?>
				</div>
			</div>
		</div>
		<div class="row pgallery">
			<div class="col-sm-6">
				<div class="form-group">
					<?php echo $form->label('autoPlay', t('Auto Play'));?>
					<?php echo $form->select('autoPlay', array("false"=>t("No"),"true"=>t("Yes")),$autoPlay);?>
				</div>
			</div>
			<div class="col-sm-6">
				<div class="form-group">
					<?php echo $form->label('rtlgal', t('Direction'));?>
					<?php echo $form->select('rtlgal', array("false"=>t("Left-to-Right"),"true"=>t("Right-to-Left")),$rtlgal);?>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div class="form-group pgallery">
					<p><?php echo t('Add up to 4 additional images to the product gallery.')?></p>
					<div class="row">
						<div class="col-md-6">
							<div class="form-group">
								<?php  echo $form->label("prod-image1",t("Image 1")); ?>
								<div class="input">
								<?php if($fg1ID){ echo $al->image('prod-image1', 'fg1ID', t('Choose Image'), ($fg1ID)?File::getByID($fg1ID):""); }
								else { echo $al->image('prod-image1', 'fg1ID', t('Choose Image')); } ?>
								</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<?php  echo $form->label("prod-image2",t("Image 2")); ?>
								<div class="input">
								<?php if($fg2ID){ echo $al->image('prod-image2', 'fg2ID', t('Choose Image'), ($fg2ID)?File::getByID($fg2ID):""); }
								else { echo $al->image('prod-image2', 'fg2ID', t('Choose Image')); } ?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-6">
							<div class="form-group">
								<?php  echo $form->label("prod-image3",t("Image 3")); ?>
								<div class="input">
								<?php if($fg3ID){ echo $al->image('prod-image3', 'fg3ID', t('Choose Image'), ($fg3ID)?File::getByID($fg3ID):""); }
								else { echo $al->image('prod-image3', 'fg3ID', t('Choose Image')); } ?>
								</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<?php  echo $form->label("prod-image4",t("Image 4")); ?>
								<div class="input">
								<?php if($fg4ID){ echo $al->image('prod-image4', 'fg4ID', t('Choose Image'), ($fg4ID)?File::getByID($fg4ID):""); }
								else { echo $al->image('prod-image4', 'fg4ID', t('Choose Image')); } ?>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="pgallery-no"></div>
			</div>
		</div>
	</div>
</div>

<!-- Settings Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-settings">
	<p><?php print $app->make('helper/concrete/ui')->tabs(array(array('sub-form-generalsettings', t('General'), $addSelected), array('sub-form-checkout', t('Checkout')), array('sub-form-automate', t('Automation'))));?></p>
	<!-- General Settings Tab -->
	<div class="ccm-tab-content" id="ccm-tab-content-sub-form-generalsettings">
		<div class="row">
			<div class="col-xs-12">
				<div class="form-group">
					<?php   echo $form->label('business', t('Paypal Email'));?>
					<?php if(empty($ezprod_business)){ echo $form->email('business', $business); } else {  echo $form->email('business', $business?$business:$ezprod_business);}?>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-4">
				<?php if((!empty($ezp_cCode))&&($ezp_cCode!="0")){ echo '<p>'.t('Currency Code: ').$ezp_cCode.'</p>'; } else { ?>
				<div class="form-group">
					<?php   echo $form->label('cCode', t('Currency Code'));?>
					<?php   echo $form->select('cCode', array("USD"=>t("USD"),"AUD"=>t("AUD"),"BRL"=>("BRL"),"CAD"=>("CAD"),"CHF"=>("CHF"),"CZK"=>("CZK"),"DKK"=>("DKK"),"EUR"=>("EUR"),"GBP"=>("GBP"),"HKD"=>("HKD"),"HUF"=>("HUF"),"ILS"=>("ILS"),"JPY"=>("JPY"),"MYR"=>("MYR"),"MXN"=>("MXN"),"NOK"=>("NOK"),"NZD"=>("NZD"),"PHP"=>("PHP"),"PLN"=>("PLN"),"RUB"=>("RUB"),"SGD"=>("SGD"),"SEK"=>("SEK"),"TWD"=>("TWD"),"THB"=>("THB")),$cCode);?>
				</div><?php } ?>
			</div>
			<div class="col-xs-4">
				<?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo '<p>'.t('Currency Symbol: ').$ezp_curs.'</p>'; } else { ?>
				<div class="form-group">
					<?php echo $form->label('curs', t('Currency Symbol'));?>
					<?php   echo $form->select('curs', array("$"=>t("$"),"£"=>("£"),"€"=>("€"),"R$"=>("R$"),"Kč"=>("Kč"),"kr"=>("kr"),"Ft"=>("Ft"),"₪"=>("₪"),"¥"=>("¥"),"RM"=>("RM"), "kr"=>("kr"),"₱"=>("₱"),"zł"=>("zł"),"₽"=>("₽"),"CHF"=>("CHF"),"NT$"=>("NT$"),"฿"=>("฿")),$curs); ?>
				</div><?php } ?>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php   echo $form->label('cTarg', t('Checkout Target'));?>
					<?php   echo $form->select('cTarg', array("self"=>t("Same Window"),"blank"=>t("New Window")),$cTarg);?>
				</div>
			</div>
		</div>
	</div>
	<!-- Checkout Settings Tab -->
	<div class="ccm-tab-content" id="ccm-tab-content-sub-form-checkout">
		<p><?php echo t('Optional. If left blank, the current page URL will be used.')?></p>
		<div class="row">
			<div class="col-xs-12">
				<div class="form-group">
					<?php  echo $form->label('linkType', t('Return URL'))?>
					<select name="linkType" data-select="feature-link-type" class="form-control">
						<option value="1" <?php echo (empty($externalLink) && !empty($internalLinkCID) ? 'selected="selected"' : '')?>><?php   echo t('Internal Page')?></option>
						<option value="2" <?php echo (!empty($externalLink) ? 'selected="selected"' : '')?>><?php   echo t('External URL')?></option>
					</select>
				</div>
				<div data-select-contents="feature-link-type-internal" style="display: none;" class="form-group">
					<?php  echo $formPageSelector->selectPage('internalLinkCID',$internalLinkCID); ?>
				</div>
				<div data-select-contents="feature-link-type-external" style="display: none;" class="form-group">
					<?php echo $form->text('externalLink', $externalLink?$externalLink:"http://"); ?>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div class="form-group">
					<?php  echo $form->label('linkType2', t('Cancel Return URL'))?>
					<select name="linkType2" data-select="feature-link-type2" class="form-control">
						<option value="1" <?php echo (empty($externalLink2) && !empty($internalLink2CID) ? 'selected="selected"' : '')?>><?php   echo t('Internal Page')?></option>
						<option value="2" <?php echo (!empty($externalLink2) ? 'selected="selected"' : '')?>><?php   echo t('External URL')?></option>
					</select>
				</div>
				<div data-select-contents="feature-link-type-internal2" style="display: none;" class="form-group">
					<?php  echo $formPageSelector->selectPage('internalLink2CID',$internalLink2CID); ?>
				</div>
				<div data-select-contents="feature-link-type-external2" style="display: none;" class="form-group">
					<?php echo $form->text('externalLink2', $externalLink2?$externalLink2:"http://"); ?>
				</div>
			</div>
		</div>
	</div>
	<!-- Automation Settings Tab -->
	<div class="ccm-tab-content" id="ccm-tab-content-sub-form-automate">
		<h4><?php echo t('Auto-Disable');?></h4>
		<p><?php echo t('Automatically disable product after a certain amount of time. Product details will remain visible, but the product cannot be purchased via PayPal.');?></p>
		<div class="row">
			<div class="col-xs-6">
				<div class="form-group">
					<?php echo $form->label('disableProd', t('Disable Product'));?>
					<?php echo $form->select('disableProd', array("never"=>t("Never"),"ondate"=>t("On specific date"),"marksold"=>t("Mark as sold")),$disableProd,array("onChange" => "updateDisablprod();"));?>
				</div>
			</div>
			<div class="col-xs-6">
				<div class="form-group" id="form-nodisprod">
					<p style="color: green;"><?php echo t('Product is active');?>.</p>
				</div>
				<div class="form-group" id="form-disproddate">
					<?php echo $form->label("disableDate",t("Deactivate product on:"));?>
					<?php echo $app->make('helper/form/date_time')->date('disableDate', $disableDate); ?>
				</div>
				<div class="form-group" id="form-marksold">
					<p style="color: #ff0000;"><?php echo t('Marked as sold. Details are still visible, but the product cannot be purchased.')?></p>
				</div>
			</div>
		</div>
		<h4><?php echo t('Sale Automation');?></h4>
		<p><?php echo t('If discounts are enabled, the following settings will be applied');?>:</p>
		<div class="row">
			<div class="col-xs-6">
				<div class="form-group">
					<?php echo $form->label('saleSet', t('Run sale'));?>
					<?php echo $form->select('saleSet', array("always"=>t("Continuously"),"startondate"=>t("Starting on specific date"),"until"=>t("Until specific date"),"drange"=>t("Date range")),$saleSet,array("onChange" => "updateSaleset();"));?>
				</div>
			</div>
			<div class="col-xs-6">
				<div id="form-salealways">
					<p style="color: #088A08;"><?php echo t('Sale has no expiration date.');?></p>
				</div>
				<div class="form-group" id="form-saleuntil">
					<?php echo $form->label("saleEnddate",t("End sale on:"));?>
					<?php echo $app->make('helper/form/date_time')->date('saleEnddate', $saleEnddate); ?>
				</div>
				<div class="form-group" id="form-salestartday">
					<?php echo $form->label("saleStartdate",t("Starting on:"));?>
					<?php echo $app->make('helper/form/date_time')->date('saleStartdate', $saleStartdate); ?>
				</div>
			</div>
		</div>
		<div class="row" id="form-saledrange">
			<div class="col-xs-6">
				<div class="form-group">
					<?php echo $form->label("saleStart",t("Beginning on:"));?>
					<?php echo $app->make('helper/form/date_time')->date('saleStart', $saleStart); ?>
				</div>
			</div>
			<div class="col-xs-6">
				<div class="form-group">
					<?php echo $form->label("saleEnd",t("Ending on:"));?>
					<?php echo $app->make('helper/form/date_time')->date('saleEnd', $saleEnd); ?>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- Begin Design Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php  echo $form->label('btnStyle', t('Button Style'));?>
				<?php  echo $form->select('btnStyle', array("squared"=>t("Squared"),"squared-full"=>t("Squared Full"),"rounded"=>t("Rounded"),"rounded-full"=>t("Rounded Full"),"ghostly"=>t("Ghost"),"ghostly-full"=>("Ghost Full"),"custimg"=>t("Custom Image")),$btnStyle,array("onChange" => "updateCustimg();"));?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<?php echo $form->label('layout', t('Layout'));?>
				<?php echo $form->select('layout', array("leftcol"=>t("Left Column"),"rightcol"=>t("Right Column"),"singlecol"=>t("Single Column")),$layout);?>
			</div>
		</div>
	</div><hr />
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Primary Color')?></label><br />
				<?php $fh->output('primeColor', $primeColor?$primeColor:"rgba(255,255,255,1)", array('showAlpha' => 'true'));?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Secondary Color')?></label><br />
				<?php $fh->output('secondaryColor', $secondaryColor?$secondaryColor:"rgba(125,125,125,1)", array('showAlpha' => 'true'));?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Accent Color')?></label><br />
				<?php $fh->output('accentColor', $accentColor?$accentColor:"#444444", array('preferredFormat'=>'hex')); ?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Secondary Accent Color')?></label><br />
				<?php echo $fh->output('secondaryAccentColor', $secondaryAccentColor?$secondaryAccentColor:"#000000", array('preferredFormat'=>'hex')); ?>
			</div>
		</div>
	</div>

</div>

<!-- Begin Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
	<?php $this->inc("forms/help.php"); ?>
</div>

<script type="text/javascript">
	function updateDiscType(){
        $("#discountType").each(function(){
            if ($(this).find("option:selected").val() == "none" ) {
                $("#form-discnum").hide();
				$("#form-flat").hide();
				$("#form-rate").hide();
				$("#form-nodisc").show();
            }
			if ( $(this).find("option:selected").val() == "flat" ) {
                $("#form-discnum").show();
				$("#form-flat").show();
				$("#form-rate").hide();
				$("#form-nodisc").hide();
            }
            if ($(this).find("option:selected").val() == "percent" ) {
                $("#form-discnum").show();
				$("#form-flat").hide();
				$("#form-rate").show();
				$("#form-nodisc").hide();
            }
		});
	};
	updateDiscType();
	function updateTaxType(){
        $("#taxType").each(function(){
             if ($(this).find("option:selected").val() == "none" ) {
                $("#form-flattax").hide();
                $("#form-taxrate").hide();
				$("#form-notax").show();
            }
			if ( $(this).find("option:selected").val() == "flat" ) {
                $("#form-flattax").show();
                $("#form-taxrate").hide();
				$("#form-notax").hide();
            }
            if ($(this).find("option:selected").val() == "percent" ) {
                $("#form-flattax").hide();
                $("#form-taxrate").show();
				$("#form-notax").hide();
            }
		});
	};
	updateTaxType();
	function updatePdesc(){
        $("#hasDesc").each(function(){
             if ($(this).find("option:selected").val() == "no" ) {
                $(".pdesc").hide();
                $(".pdesc-no").show();
            }
			if ( $(this).find("option:selected").val() == "yes" ) {
                $(".pdesc").show();
                $(".pdesc-no").hide();
            }
		});
	};
	updatePdesc();
	function updatePgallery(){
        $("#hasGallery").each(function(){
             if ($(this).find("option:selected").val() == "no" ) {
                $(".pgallery").hide();
                $(".pgallery-no").show();
            }
			if ( $(this).find("option:selected").val() == "yes" ) {
                $(".pgallery").show();
                $(".pgallery-no").hide();
            }
		});
	};
	updatePgallery();
	function updateDisablprod(){
        $("#disableProd").each(function(){
             if ($(this).find("option:selected").val() == "never" ) {
                $("#form-nodisprod").show();
                $("#form-disproddate").hide();
				$("#form-marksold").hide();
            }
			if ( $(this).find("option:selected").val() == "ondate" ) {
                $("#form-nodisprod").hide();
                $("#form-disproddate").show();
				$("#form-marksold").hide();
            }
            if ($(this).find("option:selected").val() == "marksold" ) {
                $("#form-nodisprod").hide();
                $("#form-disproddate").hide();
				$("#form-marksold").show();
            }
		});
	};
	updateDisablprod();
	function updateSaleset(){
        $("#saleSet").each(function(){
             if ($(this).find("option:selected").val() == "always" ) {
                $("#form-salealways").show();
                $("#form-salestartday").hide();
				$("#form-saledrange").hide();
				$("#form-saleuntil").hide();
            }
			if ( $(this).find("option:selected").val() == "startondate" ) {
                $("#form-salealways").hide();
                $("#form-salestartday").show();
				$("#form-saledrange").hide();
				$("#form-saleuntil").hide();
            }
			if ($(this).find("option:selected").val() == "until" ) {
                $("#form-salealways").hide();
                $("#form-salestartday").hide();
				$("#form-saleuntil").show();
				$("#form-saledrange").hide();
            }
            if ($(this).find("option:selected").val() == "drange" ) {
                $("#form-salealways").hide();
                $("#form-saleuntil").hide();
				$("#form-saledrange").show();
				$("#form-salestartday").hide();
            }
		});
	};
	updateSaleset();
	function updateOptsets(){
        $("#enableOptsets").each(function(){
             if ($(this).find("option:selected").val() == "no" ) {
                $(".optsets").hide();
                $(".noptsets").show();
            }
			if ( $(this).find("option:selected").val() == "yes" ) {
                $(".optsets").show();
                $(".noptsets").hide();
            }
		});
	};
	updateOptsets();
	function updatePoptions(){
        $("#enablePoptions").each(function(){
             if ($(this).find("option:selected").val() == "no" ) {
                $(".poptions").hide();
                $(".poptions-no").show();
            }
			if ( $(this).find("option:selected").val() == "yes" ) {
                $(".poptions").show();
                $(".poptions-no").hide();
            }
		});
	};
	updatePoptions();
</script>
<!-- Sliders -->
<script type="text/javascript">
	$('input.subsdurD_slider').hide();
	$('div.subsdurD_slider').slider({
		min  : 1,
		step : 1,
		max  : 90,
		value: parseInt($('span.subsdurD_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurD_slider').text(uiobj.value+' days');
			$('input.subsdurD_slider').val(uiobj.value);
		}
	});
	$('input.subsdurW_slider').hide();
	$('div.subsdurW_slider').slider({
		min  : 1,
		step : 1,
		max  : 52,
		value: parseInt($('span.subsdurW_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurW_slider').text(uiobj.value+' weeks');
			$('input.subsdurW_slider').val(uiobj.value);
		}
	});
	$('input.subsdurM_slider').hide();
	$('div.subsdurM_slider').slider({
		min  : 1,
		step : 1,
		max  : 24,
		value: parseInt($('span.subsdurM_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurM_slider').text(uiobj.value+' months');
			$('input.subsdurM_slider').val(uiobj.value);
		}
	});
	$('input.subsdurY_slider').hide();
	$('div.subsdurY_slider').slider({
		min  : 1,
		step : 1,
		max  : 5,
		value: parseInt($('span.subsdurY_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurY_slider').text(uiobj.value+' years');
			$('input.subsdurY_slider').val(uiobj.value);
		}
	});
$(function() {   
	$('select[data-select=feature-link-type]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal]').show();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').show();
	   }
	}).trigger('change');
});
$(function() {   
	$('select[data-select=feature-link-type2]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal2]').hide();
	       $('div[data-select-contents=feature-link-type-external2]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal2]').show();
	       $('div[data-select-contents=feature-link-type-external2]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal2]').hide();
	       $('div[data-select-contents=feature-link-type-external2]').show();
	   }
	}).trigger('change');
});
</script>