<?php defined('C5_EXECUTE') or die("Access Denied.");
use \Concrete\Core\File\File;
use \Concrete\Core\Page\Page;
$pkg = Package::getByHandle('ez_product');
$ezp_curs = $pkg->getConfig()->get('ez_product.ezp_curs');
$ezp_cCode = $pkg->getConfig()->get('ez_product.ezp_cCode');
$ezp_wu = $pkg->getConfig()->get('ez_product.ezp_wu');
$ezp_handling = $pkg->getConfig()->get('ez_product.ezp_cart_handling');
$img = File::getByID($fID);
$c = Page::getCurrentPage();
$linkURL = $controller->getLinkURL();
$linkURL2 = $controller->getLinkURL2();
if(!empty($taxAmt)){ $taxflat = ($taxAmt*$productPrice*0.01)*$itemQty; }
$calctax = ($taxRate*$productPrice*0.01);
$current_day = date('m-d-Y');
$disabledate = date('m-d-Y', strtotime($disableDate));
?>

<style>
#ezproduct-<?php echo $bID ?> .ezprod-form-body { background: <?php echo $primeColor ?>; }
#ezproduct-<?php echo $bID ?> .ezprod-block, #ezproduct-<?php echo $bID ?> .ezprod-block h4, #ezproduct-<?php echo $bID ?> .ezprod-block p { color: <?php echo $accentColor ?>; }
#ezproduct-<?php echo $bID ?> .ezprod-form-body.thirds { background: <?php echo $secondaryColor ?>; }
#ezproduct-<?php echo $bID ?> .discountbox { border: 2px solid <?php echo $secondaryAccentColor ?>; }
#ezproduct-<?php echo $bID?> form input[type="submit"] { color: <?php echo $secondaryAccentColor ?>; background-color: <?php echo $primeColor ?>; border-color: <?php echo $accentColor ?>; }
</style>
<!-- EZ PRODUCT -->
<div class="ezproduct-wrap" id="ezproduct-<?php echo $bID ?>">
	
	<form target="<?php echo $cTarg ?>" action="https://www.paypal.com/cgi-bin/webscr" method="post">
		
		<input type="hidden" name="business" value="<?php echo $business ?>">
		<input type="hidden" name="cmd" value="_<?php echo $cmdType ?>">
		<?php if($cmdType=="cart"){ ?><input type="hidden" name="add" value="1"><?php } ?>
		<input type="hidden" name="item_name" value="<?php echo $productName ?>">
		<input type="hidden" name="item_number" value="<?php echo $productNum ?>">
		<?php if(($cmdType=="xclick")||($cmdType=="cart")){ ?>
		<input type="hidden" name="amount" value="<?php echo $productPrice ?>">
		<?php } ?>
		
		<?php if($unqty==0){ ?><input type="hidden" name="quantity" value="<?php echo $itemQty ?>"><?php } ?>
		<?php if($cmdType=="xclick"){ ?><input type="hidden" name="undefined_quantity" value="<?php echo $unqty ?>"><?php } ?>
		<input type="hidden" name="currency_code" value="<?php if((!empty($ezp_cCode))&&($ezp_cCode!="0")){ echo $ezp_cCode; } else { echo $cCode; } ?>">
		
		<?php if($taxType!="none") { if($taxType=="flat") { ?>
		<input type="hidden" name="tax" value="<?php echo $taxAmt ?>"><?php } else { ?><input type="hidden" name="tax_rate" value="<?php echo $taxRate ?>">
		<?php } } ?>
		
		<input type="hidden" name="shipping" value="<?php echo $shipCost ?>">
		<?php if(!empty($ezp_handling)){ ?><input type="hidden" name="handling_cart" value="<?php echo $ezp_handling ?>"><?php } ?>
		<?php if(!empty($addShip)){ ?><input type="hidden" name="shipping2" value="<?php echo $addShip ?>"><?php } ?>
		<?php if($weight!=0.0) { ?><input type="hidden" name="weight" value="<?php echo $weight ?>">
		<input type="hidden" name="weight_unit" value="<?php if((!empty($ezp_wu))&&($ezp_wu!="0")){ echo $ezp_wu; } else { echo $weightUnit; } ?>"><?php } ?>
		
		<?php if(($linkURL!="")&&($linkURL2!="")){ ?><input type="hidden" name="return" value="<?php echo $linkURL;?>">
		<input type="hidden" name="cancel_return" value="<?php echo $linkURL2; ?>"><?php } else { ?>
		<input type="hidden" name="return" value="<?php $c = Page::getCurrentPage(); echo $c->getCollectionLink(); ?>">
		<input type="hidden" name="cancel_return" value="<?php $c = Page::getCurrentPage(); echo $c->getCollectionLink(); ?>"><?php } ?>
		
		<div class="ezprod-form-body<?php if($layout=="rightcol"){ ?> rightcol<?php } elseif($layout=="singlecol") { ?> singlecol<?php } else { ?> leftcol<?php } ?>">
			<div class="ezprod-block ezprod-head half">
				<div class="ezprod-content">
					<h2><?php echo $productName ?></h2>
					<?php if($enablePoptions=="no"){ ?>
					<p class="pricetag"><span class="curs"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } ?></span><span class="price"><?php echo $productPrice ?></span> <small><?php if((!empty($ezp_cCode))&&($ezp_cCode!="0")){ echo $ezp_cCode; } else { echo $cCode; } ?></small></p>
					<?php } ?>
				<?php if($cmdType!="catalog") { ?>
					<?php if(($current_day<$disabledate)||($disableProd=="never")) { ?>
						<?php if($enableOptsets=="yes"){ ?>
							<?php if((!empty($on0))&&($enablePoptions=="yes")){ $this->inc("views/mods/poption-sets.php"); } ?>
							<?php $this->inc("views/mods/option-sets.php"); ?>
						<?php } ?>
						<?php if($unqty==0) { 
							if($itemQty>1){ ?><p><?php echo t('Quantity').' x '.$itemQty ?></p><?php } ?>
						<?php } elseif ($unqty==1){ ?><div style="margin-top: 1em;"><small><?php echo t('Quantity') ?></small><br /><input type="number" name="quantity" value="<?php echo $itemQty ?>" min="1"></div><?php } ?>
					<?php } elseif($disableProd=="marksold") { ?>
						<div class="soldout"><?php echo t('Sold Out');?></div>
					<?php } elseif(($current_day>$disabledate)&&($disableProd=="ondate")) { ?><div class="soldout"><?php echo t('Unavailable');?></div><?php } ?>
				<?php } ?>
				</div>
			</div>
			<div class="ezprod-block ezprod-pic half">
				<?php if($hasGallery == "yes") { $this->inc("views/mods/product-gallery.php"); } else { ?><img src="<?php echo $img->getURL() ?>" alt="<?php echo $productName ?>" /><?php } ?>
			</div>
		</div>
		
		<?php if ($discountType!="none") { 	$this->inc("views/mods/discounts.php"); } ?>
		
		<div class="ezprod-form-body thirds" style="margin-top: 0.5em;">
			<div class="ezprod-block">
				<div class="shipping-block">
					<h5><strong><?php echo t('Shipping')?></strong></h5>
					<p><?php if($unqty==0){ ?><span class="shipping"><?php if($shipCost==0){ echo t('FREE');} else { if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } echo $shipCost; } ?></span><br /><?php } else { ?>
					<span class="shipping"><?php if($shipCost=="0"){ echo t('FREE'); } else {  if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } echo $shipCost; } if((!empty($addShip))&&($addShip!="0.00")){ ?>
					<br />+<?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } echo $addShip.t(' per additional item');}?></span>
					<?php } ?></p>
				</div>
			</div>
			<div class="ezprod-block">
				<div class="taxes-block">
					<h5><strong><?php echo t('Tax')?></strong></h5>
					<p><?php if($taxType!="none"){?>
					<span class="taxes"><?php if($taxType=="flat"){ if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } echo (number_format((float)$taxAmt, 2, '.', ''))?><br /><?php echo t('per item'); } else { if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { echo $curs; } echo $calctax ?><br /><?php echo t('per item'); } ?></span><br />
					<?php } else { echo t('Not applicable');} ?></p>
				</div>
			</div>
			<div class="ezprod-block">
				<div class="specs-block">
					<h5><strong><?php echo t('Specs')?></strong></h5>
					<p><?php echo t('Product No')?>. <?php echo $productNum ?><br />
					<?php echo t('Weight') ?>: <?php if($weight!=0.00){ echo $weight.' '?>
						<?php if((!empty($ezp_wu))&&($ezp_wu!="0")){ echo $ezp_wu; } else { echo $weightUnit; } ?>
					<?php } else { echo t('Not specified'); } ?></p>
				</div>
			</div>
		</div>
		<?php if($hasDesc=="yes"){?>
		<div class="ezprod-form-body">
			<div class="ezprod-block">
				<div class="ezprod-content">
					<?php echo $prodDesc ?>
				</div>
			</div>
		</div><?php } ?>
		
		<?php if(($enableOptsets=="yes")&&($current_day>$disabledate)) {?>
		<?php if(($cmdType=="catalog")||($disableProd!="ondate")) {?>
		<!-- Options -->
		<div class="ezprod-form-body optsets">
			<?php $this->inc("views/mods/option-sets-noselect.php"); ?>
		</div>
		<?php }} ?>
		
		<?php if($cmdType!="catalog") { ?>
			<?php if($disableProd=="never") { ?>
			<div class="submitbuy"><input type="submit" name="submit" class="<?php echo $btnStyle ?>" value="<?php if($cmdType=="xclick") { echo t('Buy Now'); } else { echo t('Add to Cart'); } ?>"></div>
			<?php } elseif($disableProd=="ondate"){ ?>
				<?php if(!empty($disabledate)){ if($current_day<$disabledate) { ?>
					<div class="submitbuy"><input type="submit" name="submit" class="<?php echo $btnStyle ?>" value="<?php if($cmdType=="xclick") { echo t('Buy Now'); } else { echo t('Add to Cart'); } ?>"></div>
			<?php } } } ?>
		<?php } ?>
	</form>
</div>


