<?php  defined('C5_EXECUTE') or die("Access Denied."); 
$pkg = Package::getByHandle('ez_product');
$ezprod_business = $pkg->getConfig()->get('ez_product.ezprod_business');
$ezprod_notes = $pkg->getConfig()->get('ez_product.ezprod_notes');
$ezp_curs = $pkg->getConfig()->get('ez_product.ezp_curs');
$ezp_cCode = $pkg->getConfig()->get('ez_product.ezp_cCode');
$pkgVersion = $pkg->getPackageVersion();
$fh = $app->make('helper/form/color');
$al = $app->make('helper/concrete/asset_library');
$addSelected = true;?>
<p>
<?php print $app->make('helper/concrete/ui')->tabs(array(
	array('form-button', t('Setup'), $addSelected), array('form-settings', t('Settings')), array('form-design', t('Design')), array('form-help', '<i class="fa fa-question-circle"></i>')
));?>
</p>
<!-- Begin Button Setup Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-button">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php echo $form->label('productName', t('Item Name'));?>
				<?php echo $form->text('productName', $productName);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-4">
			<div class="form-group">
				<?php   echo $form->label('productPrice', t('Base Price'));?>
				<div class="input-group">        
					<div class="input-group-addon">$</div>
					<?php echo $form->text('productPrice', $productPrice?$productPrice:"10.00");?>
				</div>
			</div>
		</div>
		<div class="col-xs-4">
			<div class="form-group">
				<?php echo $form->label('productNum', t('Item Number'));?>
				<?php echo $form->text('productNum', $productNum?$productNum:"000-".rand(0,10000));?>
			</div>
		</div>
		<div class="col-xs-4">
			<div class="form-group">
				<?php   echo $form->label('mode', t('Type'));?>
				<?php   echo $form->select('mode', array("subscribeD"=>t("Daily"),"subscribeW"=>t("Weekly"),"subscribeM"=>t("Monthly"),"subscribeY"=>t("Yearly")),$mode,array("onChange" => "updateType();"));?>
			</div>
		</div>
	</div>

	<!-- Daily Subscription Button Options -->
	<div id="form-subscribeD">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsDurD" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurD_slider"><?php  if (isset($subsDurD)){ echo $subsDurD; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurD', $subsDurD, array('class'=>'subsdurD_slider')); ?>
					<div class="subsdurD_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	
	<!-- Weekly Subscription Button Options -->
	<div id="form-subscribeW">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsDurW" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurW_slider"><?php  if (isset($subsDurW)){ echo $subsDurW; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurW', $subsDurW, array('class'=>'subsdurW_slider')); ?>
					<div class="subsdurW_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	
	<!-- Monthly Subscription Button Options -->
	<div id="form-subscribeM">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsDurM" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurM_slider"><?php  if (isset($subsDurM)){ echo $subsDurM; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurM', $subsDurM, array('class'=>'subsdurM_slider')); ?>
					<div class="subsdurM_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	
	<!-- Yearly Subscription Button Options -->
	<div id="form-subscribeY" class="unscrb">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsDurY" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurY_slider"><?php  if (isset($subsDurY)){ echo $subsDurY; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurY', $subsDurY, array('class'=>'subsdurY_slider')); ?>
					<div class="subsdurY_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	<!-- Trial Period & Recursive Payment Options for all Subscription Types -->
	<div id="form-trialperiod" class="unscrb">
		<h4><?php echo t('Trials')?></h4>
		<div class="row">
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialPeriod1', t('Trial Period 1'));?>
					<?php echo $form->select('trialPeriod1', array("0"=>t("None"),"D"=>t("Days"),"W"=>t("Weeks"),"M"=>t("Months")),$trialPeriod1);?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialDur1', t('Trial 1 Duration'));?>
					<?php echo $form->number('trialDur1', $trialDur1?$trialDur1:"1", array('min'=>1,'max'=>90));?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialPrice1', t('Trial 1 Price'));?>
					<div class="input-group">        
						<div class="input-group-addon">$</div>
						<?php echo $form->text('trialPrice1', $trialPrice1?$trialPrice1:"0");?>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialPeriod2', t('Trial Period 2'));?>
					<?php echo $form->select('trialPeriod2', array("0"=>t("None"),"D"=>t("Days"),"W"=>t("Weeks"),"M"=>t("Months")),$trialPeriod2);?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialDur2', t('Trial 2 Duration'));?>
					<?php echo $form->number('trialDur2', $trialDur2?$trialDur2:"1", array('min'=>1,'max'=>90));?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialPrice2', t('Trial 2 Price'));?>
					<div class="input-group">        
						<div class="input-group-addon">$</div>
						<?php echo $form->text('trialPrice2', $trialPrice2?$trialPrice2:"0");?>
					</div>
				</div>
			</div>
		</div>
		<h4><?php echo t('Recursive Payments')?></h4>
		<div class="row">
			<div class="col-xs-3">
				<div class="form-group">
					<?php echo $form->label('srcpay', t('Enabled?'));?>
					<?php echo $form->select('srcpay', array("0"=>t("No"),"1"=>t("Yes")),$srcpay);?>
				</div>
			</div>
			<div class="col-xs-5">
				<div class="form-group">
					<?php echo $form->label('srtpay', t('Number of recurring times'));?>
					<?php echo $form->number('srtpay', $srtpay?$srtpay:"2", array('min'=>2,'max'=>52));?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('srapay', t('Reattempt on failure'));?>
					<?php echo $form->select('srapay', array("1"=>t("Yes"),"0"=>t("No")),$srapay);?>
				</div>
			</div>
		</div>
	</div>
	
</div>

<!-- Begin General Settings Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-settings">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('business', t('Paypal Email'));?>
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-envelope"></i></div>
					<?php if(empty($ezprod_business)){ echo $form->email('business', $business); } else {  echo $form->email('business', $business?$business:$ezprod_business);}?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<?php if((!empty($ezp_cCode))&&($ezp_cCode!="0")){ echo '<p>'.t('Currency Code: ').$ezp_cCode.'</p>'; } else { ?>
			<div class="form-group">
				<?php   echo $form->label('cCode', t('Currency Code'));?>
				<?php   echo $form->select('cCode', array("USD"=>t("USD"),"AUD"=>t("AUD"),"BRL"=>("BRL"),"CAD"=>("CAD"),"CHF"=>("CHF"),"CZK"=>("CZK"),"DKK"=>("DKK"),"EUR"=>("EUR"),"GBP"=>("GBP"),"HKD"=>("HKD"),"HUF"=>("HUF"),"ILS"=>("ILS"),"JPY"=>("JPY"),"MYR"=>("MYR"),"MXN"=>("MXN"),"NOK"=>("NOK"),"NZD"=>("NZD"),"PHP"=>("PHP"),"PLN"=>("PLN"),"RUB"=>("RUB"),"SGD"=>("SGD"),"SEK"=>("SEK"),"TWD"=>("TWD"),"THB"=>("THB"),"TRY"=>("TRY")),$cCode);?>
			</div><?php } ?>
		</div>
		<div class="col-xs-6">
			<?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo '<p>'.t('Currency Symbol: ').$ezp_curs.'</p>'; } else { ?>
			<div class="form-group">
				<?php echo $form->label('curs', t('Currency Symbol'));?>
				<?php   echo $form->select('curs', array("$"=>t("$"),"£"=>("£"),"€"=>("€"),"R$"=>("R$"),"Kč"=>("Kč"),"kr"=>("kr"),"Ft"=>("Ft"),"₪"=>("₪"),"¥"=>("¥"),"RM"=>("RM"), "kr"=>("kr"),"₱"=>("₱"),"zł"=>("zł"),"₽"=>("₽"),"CHF"=>("CHF"),"NT$"=>("NT$"),"฿"=>("฿")),$curs); ?>
			</div><?php } ?>
		</div>
	</div>
</div>

<!-- Begin Design Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('btnStyle', t('Button Style'));?>
				<?php   echo $form->select('btnStyle', array("squared"=>t("Squared"),"squared-full"=>t("Squared Full"),"rounded"=>t("Rounded"),"rounded-full"=>t("Rounded Full"),"ghostly"=>t("Ghost"),"ghostly-full"=>("Ghost Full"),"custimg"=>t("Custom Image")),$btnStyle,array("onChange" => "updateCustimg();"));?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('buttonLabel', t('Button Label'));?>
				<?php   echo $form->text('buttonLabel', $buttonLabel?$buttonLabel:t("Subscribe"));?>
			</div>
		</div>
	</div>
	<div class="row" id="custimg">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label("prod-image",t("Custom Button Image")); ?>
				<div class="input">
				<?php if($fID){ echo $al->image('prod-image', 'fID', t('Choose Image'), ($fID)?File::getByID($fID):""); }
				else { echo $al->image('prod-image', 'fID', t('Choose Image')); } ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Primary Color')?></label><br />
				<?php $fh->output('primeColor', $primeColor?$primeColor:"rgba(20,190,230,1)", array('showAlpha' => 'true'));?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Secondary Color')?></label><br />
				<?php $fh->output('secondaryColor', $secondaryColor?$secondaryColor:"rgba(255,255,255,1)", array('showAlpha' => 'true'));?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Accent Color')?></label><br />
				<?php echo $fh->output('accentColor', $accentColor?$accentColor:"#000000", array('preferredFormat'=>'hex')); ?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Text Color')?></label><br />
				<?php echo $fh->output('textColor', $textColor?$textColor:"#000000", array('preferredFormat'=>'hex')); ?>
			</div>
		</div>
	</div>

</div>

<!-- Begin Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
	<div class="row">
		<div class="col-xs-12">
			<p><strong><?php echo t('Version: %s', $pkgVersion);?></strong></p><hr />
			<p><?php  echo t('<em>EZ Subscription</em> allows you to set up recurring Paypal billing based on daily, weekly, monthly, or yearly (annual) periods.')?></p>
			<hr />
			<?php if(!empty($ezprod_notes)){ ?>
			<div class="alert alert-info">
				<h4><?php echo t('My Notes')?></h4>
				<?php echo $ezprod_notes ?>
			</div>
			<hr />
			<?php } ?>
			<h4><strong><?php  echo t('Basics')?></strong></h4>
			<p><strong><?php  echo t('Item Name')?></strong> - <?php  echo t('The name of the subscription product.')?></p>
			<p><strong><?php  echo t('Item Number')?></strong> - <?php  echo t('Required for tracking on Paypal.')?></p>
			<p><strong><?php  echo t('Base Price')?></strong> - <?php  echo t('The base price of the subscription product. Be sure to use the correct formatting, depending on the currency.')?></p>
			<p><strong><?php  echo t('Type')?></strong> - <?php  echo t('Select between daily, weekly, monthly, or yearly (annual). Use the slider to set the period duration.')?></p>
			<p><strong><?php  echo t('Duration Period')?></strong> - <?php  echo t('Slide to adjust the duration payment period. For a 3 month payment period, select "Monthly Subscription" as the payment mode, and set the slider to a value of 3.')?></p>
			<p><strong><?php  echo t('Trial Period')?></strong> - <?php  echo t('Optional. Set to a daily, weekly, or monthly time period.')?></p>
			<p><strong><?php  echo t('Trial Duration')?></strong> - <?php  echo t('Enter a numeric value. Restrictions are as follows:')?></p>
			<ul><li><?php  echo t('Days = maximum of 90')?></li><li><?php  echo t('Weeks = maximum of 52')?></li><li><?php  echo t('Months = maximum of 24')?></li></ul>
			<p><strong><?php  echo t('Trial Price')?></strong> - <?php  echo t('Cost of trial period. For a free trial, enter "0".')?></p>
			<p><strong><?php  echo t('Recursive Payments')?></strong> - <?php  echo t('Enable to make subscription payments automatically recur.')?></p>
			<p><strong><?php  echo t('Number of recurring times')?></strong> - <?php  echo t('Number of times that subscription payments recur.')?></p>
			<p><strong><?php  echo t('Reattempt on failure')?></strong> - <?php  echo t('Set to "Yes" to reattempt failed recurring payments before canceling.')?></p>
			<hr />
			<h4><strong><?php  echo t('Settings')?></strong></h4>
			<p><strong><?php  echo t('Paypal Email')?></strong> - <?php  echo t('The email address where payment will be sent to. Must be associated with an active Paypal account.')?></p>
			<p><strong><?php  echo t('Currency Code')?></strong> - <?php  echo t('Select the currency code for your country.')?></p>
			<p><strong><?php  echo t('Currency Symbol')?></strong> - <?php  echo t('Select the currency symbol that matches your currency.')?></p>
			<hr />
			<h4><strong><?php  echo t('Design Options')?></strong></h4>
			<p><strong><?php  echo t('Button Style')?></strong> - <?php  echo t('Either use the default Paypal button, or select a custom image.')?></p>
			<p><strong><?php  echo t('Primary Color')?></strong> - <?php  echo t('Background for product title and price. Supports transparency.')?></p>
			<p><strong><?php  echo t('Secondary Color')?></strong> - <?php  echo t('Background for details body. Supports transparency.')?></p>
			<p><strong><?php  echo t('Accent Color')?></strong> - <?php  echo t('Applied to currency symbol and borders.')?></p>
			<p><strong><?php  echo t('Text Color')?></strong> - <?php  echo t('Applies to all text.')?></p>
			<hr />
			<h4><strong><?php  echo t('Checkout')?></strong></h4>
			<p><strong><?php  echo t('Return and Cancel URL')?></strong> - <?php  echo t('EZ Subscription will automatically use the current page URL to return users to your site when they complete or cancel a Paypal transaction.')?></p>
			<hr />
			<h4><strong><?php  echo t('Developer Resources')?></strong></h4>
			<p><a href="https://developer.paypal.com/docs/classic/paypal-payments-standard/integration-guide/Appx_websitestandard_htmlvariables/" target="_blank"><?php  echo t('HTML Variables for PayPal Payments Standard')?></a><br /></p>
		</div>
	</div>
</div>

<script type="text/javascript">
    function updateType(){
        $("#mode").each(function(){
			if ($(this).find("option:selected").val() == "subscribeD" ) {
				$("#form-subscribeD").show();
				$("#form-subscribeW").hide();
				$("#form-subscribeM").hide();
				$("#form-subscribeY").hide();
				$("#form-donate").hide();
				$("#form-trialperiod").show();
			}
			if ($(this).find("option:selected").val() == "subscribeW" ) {
				$("#form-subscribeW").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeM").hide();
				$("#form-subscribeY").hide();
				$("#form-donate").hide();
				$("#form-trialperiod").show();
			}
			if ($(this).find("option:selected").val() == "subscribeM" ) {
				$("#form-subscribeM").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeW").hide();
				$("#form-subscribeY").hide();
				$("#form-donate").hide();
				$("#form-trialperiod").show();
			}
			if ($(this).find("option:selected").val() == "subscribeY" ) {
				$("#form-subscribeY").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeW").hide();
				$("#form-subscribeM").hide();
				$("#form-donate").hide();
				$("#form-trialperiod").show();
			}
		});
	};
	updateType();
	function updateDiscType(){
        $("#discountType").each(function(){
            if ($(this).find("option:selected").val() == "none" ) {
                $("#form-discflatamt").hide();
                $("#form-discpercent").hide();
				$("#form-flat").hide();
				$("#form-rate").hide();
				$("#form-nodisc").show();
            }
			if ( $(this).find("option:selected").val() == "flat" ) {
                $("#form-discflatamt").show();
                $("#form-discpercent").hide();
				$("#form-flat").show();
				$("#form-rate").hide();
				$("#form-nodisc").hide();
            }
            if ($(this).find("option:selected").val() == "percent" ) {
                $("#form-discflatamt").hide();
                $("#form-discpercent").show();
				$("#form-flat").hide();
				$("#form-rate").show();
				$("#form-nodisc").hide();
            }
		});
	};
	updateDiscType();
	function updateTaxType(){
        $("#taxType").each(function(){
             if ($(this).find("option:selected").val() == "none" ) {
                $("#form-flattax").hide();
                $("#form-taxrate").hide();
				$("#form-notax").show();
            }
			if ( $(this).find("option:selected").val() == "flat" ) {
                $("#form-flattax").show();
                $("#form-taxrate").hide();
				$("#form-notax").hide();
            }
            if ($(this).find("option:selected").val() == "percent" ) {
                $("#form-flattax").hide();
                $("#form-taxrate").show();
				$("#form-notax").hide();
            }
		});
	};
	updateTaxType();
</script>
<!-- Sliders -->
<script type="text/javascript">
	$('input.subsdurD_slider').hide();
	$('div.subsdurD_slider').slider({
		min  : 1,
		step : 1,
		max  : 90,
		value: parseInt($('span.subsdurD_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurD_slider').text(uiobj.value+' days');
			$('input.subsdurD_slider').val(uiobj.value);
		}
	});
	$('input.subsdurW_slider').hide();
	$('div.subsdurW_slider').slider({
		min  : 1,
		step : 1,
		max  : 52,
		value: parseInt($('span.subsdurW_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurW_slider').text(uiobj.value+' weeks');
			$('input.subsdurW_slider').val(uiobj.value);
		}
	});
	$('input.subsdurM_slider').hide();
	$('div.subsdurM_slider').slider({
		min  : 1,
		step : 1,
		max  : 24,
		value: parseInt($('span.subsdurM_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurM_slider').text(uiobj.value+' months');
			$('input.subsdurM_slider').val(uiobj.value);
		}
	});
	$('input.subsdurY_slider').hide();
	$('div.subsdurY_slider').slider({
		min  : 1,
		step : 1,
		max  : 5,
		value: parseInt($('span.subsdurY_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurY_slider').text(uiobj.value+' years');
			$('input.subsdurY_slider').val(uiobj.value);
		}
	});
$(function() {   
	$('select[data-select=feature-link-type]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal]').show();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').show();
	   }
	}).trigger('change');
});
$(function() {   
	$('select[data-select=feature-link-type2]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal2]').hide();
	       $('div[data-select-contents=feature-link-type-external2]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal2]').show();
	       $('div[data-select-contents=feature-link-type-external2]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal2]').hide();
	       $('div[data-select-contents=feature-link-type-external2]').show();
	   }
	}).trigger('change');
});
function updateCustimg(){
$("#btnStyle").each(function(){
    if ($(this).find("option:selected").val() == "custimg" ) {
        $("#custimg").show();
    }
	if ($(this).find("option:selected").val() != "custimg" ) {
        $("#custimg").hide();
    }
});
};
updateCustimg();
</script>