<?php  defined('C5_EXECUTE') or die("Access Denied."); ?>
<div class="alert alert-success">
	<h3><?php echo t('Welcome to EZ Product') ?></h3>
	<p><?php echo t('EZ Product is a suite of front-end blocks for selling products via Paypal. You will now install') ?>:</p>
	<ul>
		<li><strong><?php echo t('EZ Product Block')?></strong> - <?php echo t('Add a buy now, add to cart, or catalog product.')?></li>
		<li><strong><?php echo t('EZ Subscription Block')?></strong> - <?php echo t('Set up a recurring billing subscription product.')?></li>
		<li><strong><?php echo t('EZ Cart Block')?></strong> - <?php echo t('A simple View Cart button.')?></li>
		<li><strong><?php echo t('EZ Cards Block')?></strong> - <?php echo t('Display credit card icons and a Paypal badge.')?></li>
		<li><strong><?php echo t('Help Center Dashboard Page')?></strong> - <?php echo t('Specify a global Paypal email.')?></li>
	</ul>
</div>
<div class="alert alert-warning">
	<p><?php echo t('A Paypal account will need to be setup in order to receive payments!') ?></p>
	<p><a href="http://www.paypal.com" target="_blank"><?php echo t('Go to Paypal') ?> &raquo;</a></p>
</div>
<div class="alert alert-danger">
   <p><?php echo t('This package does NOT offer')?>:</p>
   <ul>
	<li><?php echo t('Sale of digital downloads')?></li>
	<li><?php echo t('Paid membership integration with Concrete5 groups and users')?></li>
	<li><?php echo t('Order history in Concrete5 dashboard')?></li>
	<li><?php echo t('Donations - use ')?><a href="http://www.concrete5.org/marketplace/addons/ez-paypal" target="_blank"><?php echo t('EZ Paypal')?></a></li>
   </ul>
</div>
<div class="alert alert-info">
   <p><strong><?php echo t('Questions')?>?</strong></p>
   <p><a href="http://www.concrete5.org/profile/-/view/11911/" target="_blank"><?php echo t('Send a private message to the developer') ?></a><br /><a href="http://www.concrete5.org/marketplace/addons/ez-product/support" target="_blank"><?php echo t('Open a support request')?></a></p>
</div>